Bug 176248 - Unnecessary creation of rpmsave symbolic link
Unnecessary creation of rpmsave symbolic link
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: caching-nameserver (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Adam Tkac
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-20 11:28 EST by Orion Poplawski
Modified: 2013-04-30 19:33 EDT (History)
1 user (show)

See Also:
Fixed In Version: 9.3.4-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-16 05:20:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2005-12-20 11:28:51 EST
Description of problem:

Installing new caching-nameserver created the following:

warning: /etc/named.conf saved as /etc/named.conf.rpmsave

lrwxrwxrwx  1 root root 32 Dec 20 05:04 named.conf ->
/var/named/chroot/etc/named.conf
lrwxrwxrwx  1 root root 32 Oct 21 06:16 named.conf.rpmsave ->
/var/named/chroot/etc/named.conf

In my opinion this is unnecessary and confusing to create the .rpmsave link.

Version-Release number of selected component (if applicable):
rpm-4.4.1-22
Comment 1 Jeff Johnson 2005-12-22 00:28:43 EST
rpm is just doing as instructed by the %config directive in the spec file:

%files
%defattr(-,root,root)
%config /etc/named.conf

Off to caching-nameserver 
Comment 2 Orion Poplawski 2005-12-22 11:07:37 EST
But shouldn't rpm only create the .rpmsave file if the config file has been
modified, which it this case it hasn't been (it's still a symbolic link to
/var/named/chroot/etc/named.conf)?
Comment 3 Jason Vas Dias 2006-03-07 11:41:03 EST
This is now fixed with bind-9.3.2-6 in rawhide/FC-5 .  The bind-chroot package
will no longer create unecessary .rpmsave links .

Comment 4 Fedora Update System 2006-03-21 12:53:58 EST
bind-9.3.2-10.FC5 has been pushed for FC5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 5 Orion Poplawski 2006-04-04 11:02:20 EDT
Doing it for other config file links now:

warning: /etc/named.caching-nameserver.conf saved as
/etc/named.caching-nameserver.conf.rpmsave
warning: /etc/named.rfc1912.zones saved as /etc/named.rfc1912.zones.rpmsave
warning: /var/named/localdomain.zone saved as /var/named/localdomain.zone.rpmsave
warning: /var/named/localhost.zone saved as /var/named/localhost.zone.rpmsave
warning: /var/named/named.broadcast saved as /var/named/named.broadcast.rpmsave
warning: /var/named/named.ca saved as /var/named/named.ca.rpmsave
warning: /var/named/named.ip6.local saved as /var/named/named.ip6.local.rpmsave
warning: /var/named/named.local saved as /var/named/named.local.rpmsave
warning: /var/named/named.zero saved as /var/named/named.zero.rpmsave
Stopping named: [  OK  ]
Starting named: [  OK  ]

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Updating:
 bind                    i386       30:9.3.2-16.FC5  updates-testing   935 k
 bind-chroot             i386       30:9.3.2-16.FC5  updates-testing    33 k
 bind-config             i386       30:9.3.2-16.FC5  updates-testing    50 k
 bind-libs               i386       30:9.3.2-16.FC5  updates-testing   834 k
 bind-utils              i386       30:9.3.2-16.FC5  updates-testing   156 k


lrwxrwxrwx 1 root root 52 Apr  4 05:58 /etc/named.caching-nameserver.conf ->
/var/named/chroot//etc/named.caching-nameserver.conf
lrwxrwxrwx 1 root root 52 Mar 31 05:42
/etc/named.caching-nameserver.conf.rpmsave ->
/var/named/chroot//etc/named.caching-nameserver.conf
lrwxrwxrwx 1 root root 42 Apr  4 05:58 /etc/named.rfc1912.zones ->
/var/named/chroot//etc/named.rfc1912.zones
lrwxrwxrwx 1 root root 42 Mar 31 05:42 /etc/named.rfc1912.zones.rpmsave ->
/var/named/chroot//etc/named.rfc1912.zones
lrwxrwxrwx 1 root  root    45 Apr  4 05:58 localdomain.zone ->
/var/named/chroot//var/named/localdomain.zone
lrwxrwxrwx 1 root  root    45 Mar 31 05:42 localdomain.zone.rpmsave ->
/var/named/chroot//var/named/localdomain.zone
lrwxrwxrwx 1 root  root    43 Apr  4 05:58 localhost.zone ->
/var/named/chroot//var/named/localhost.zone
lrwxrwxrwx 1 root  root    43 Mar 31 05:42 localhost.zone.rpmsave ->
/var/named/chroot//var/named/localhost.zone
lrwxrwxrwx 1 root  root    44 Apr  4 05:58 named.broadcast ->
/var/named/chroot//var/named/named.broadcast
lrwxrwxrwx 1 root  root    44 Mar 31 05:42 named.broadcast.rpmsave ->
/var/named/chroot//var/named/named.broadcast
lrwxrwxrwx 1 root  root    37 Apr  4 05:58 named.ca ->
/var/named/chroot//var/named/named.ca
lrwxrwxrwx 1 root  root    37 Mar 31 05:42 named.ca.rpmsave ->
/var/named/chroot//var/named/named.ca
lrwxrwxrwx 1 root  root    44 Apr  4 05:58 named.ip6.local ->
/var/named/chroot//var/named/named.ip6.local
lrwxrwxrwx 1 root  root    44 Mar 31 05:42 named.ip6.local.rpmsave ->
/var/named/chroot//var/named/named.ip6.local
lrwxrwxrwx 1 root  root    40 Apr  4 05:58 named.local ->
/var/named/chroot//var/named/named.local
lrwxrwxrwx 1 root  root    40 Mar 31 05:42 named.local.rpmsave ->
/var/named/chroot//var/named/named.local
lrwxrwxrwx 1 root  root    39 Apr  4 05:58 named.zero ->
/var/named/chroot//var/named/named.zero
lrwxrwxrwx 1 root  root    39 Mar 31 05:42 named.zero.rpmsave ->
/var/named/chroot//var/named/named.zero
Comment 6 Christian Iseli 2007-01-19 19:49:28 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 7 Adam Tkac 2007-02-16 05:20:41 EST
I've checked spec file in bind-9.3.4-1.fc6 and this problem looks fixed now. I
this still occurs please reopen this bug.

Regards, Adam

Note You need to log in before you can comment on or make changes to this bug.